com.streambase.sb.unittest

## Interface Dequeuer

-     public interface Dequeuer

  A Dequeuer is used for dequeueing tuples from a specific stream.
  Since:
    6.6

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `DEFAULT_TIMEOUT` The default timeout value: 3
    `static TimeUnit` | `DEFAULT_TIMEOUT_UNIT` The default timeout units: `TimeUnit.SECONDS`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Tuple>` | `dequeue(int numTuples)` Try to dequeue tuples with the `Dequeuer.DEFAULT_TIMEOUT` and `Dequeuer.DEFAULT_TIMEOUT_UNIT` if numTuples == 0 will return immediately if numTuples < 0 will wait the maximum timeout before returning
    `List<Tuple>` | `dequeue(int numTuples, long timeout, TimeUnit timeUnit)` Try to dequeue tuples within a provided timeout.
    `void` | `drain()` Drain any tuples that are currently in flight in the server.
    `Schema` | `getSchema()` Get the `Schema` for the associated stream. Equivalent to `getStreamProperties().getSchema()`
    `StreamProperties` | `getStreamProperties()` Get the `StreamProperties` for the associated stream.

- - ### Field Detail

    - #### DEFAULT_TIMEOUT

          static final long DEFAULT_TIMEOUT

      The default timeout value: 3
      See Also:
        Constant Field Values

    - #### DEFAULT_TIMEOUT_UNIT

          static final TimeUnit DEFAULT_TIMEOUT_UNIT

      The default timeout units: `TimeUnit.SECONDS`

  - ### Method Detail

    - #### getStreamProperties

          StreamProperties getStreamProperties()

      Get the `StreamProperties` for the associated stream.
      Returns:
        Stream properties

    - #### getSchema

          Schema getSchema()

      Get the `Schema` for the associated stream.
      Equivalent to `getStreamProperties().getSchema()`
      Returns:
        Schema

    - #### dequeue

          List<Tuple> dequeue(int numTuples)
                       throws StreamBaseException

      Try to dequeue tuples with the `Dequeuer.DEFAULT_TIMEOUT` and `Dequeuer.DEFAULT_TIMEOUT_UNIT`
      - if numTuples == 0 will return immediately
      - if numTuples < 0 will wait the maximum timeout before returning
      Parameters:
        `numTuples` - the number of tuples to dequeue
      Returns:
        all of the tuples dequeued before the timeout, possibly an empty list
      Throws:
        `StreamBaseException` - Dequeue failed

    - #### dequeue

          List<Tuple> dequeue(int numTuples,
                              long timeout,
                              TimeUnit timeUnit)
                       throws StreamBaseException

      Try to dequeue tuples within a provided timeout.
      - if numTuples == 0 will return immediately
      - if numTuples < 0 will wait the maximum timeout before returning
      Parameters:
        `numTuples` - the number of tuples to dequeue
        `timeout` - the maximum time to wait
        `timeUnit` - the time unit of timeout argument
      Returns:
        all of the tuples dequeued before the timeout, possibly an empty list
      Throws:
        `StreamBaseException` - Dequeue failed

    - #### drain

          void drain()
              throws StreamBaseException

      Drain any tuples that are currently in flight in the server. This method should not normally be called, but is provided to speed up things that expect no output.
      Throws:
        `StreamBaseException` - Drain failed

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.